/*
                    MM   MM    OOOOO    5555555
                    M M M M   O     O   5
                    M  M  M   O     O   555555
                    M     M   O     O         5
                    M     M   O     O         5
                    M     M    OOOOO    555555

                             EMULATEUR

                         Par Edouard FORLER
                    (edouard.forler@di.epfl.ch)
                          Par Sylvain HUET
                    (huet@poly.polytechnique.fr)
                               1997

  sb.c : gestion de la Sound Blaster v1.0 et sup.

*/

#include <fcntl.h>
#include <stdio.h>

#define DEVNAME "/dev/audio"

FILE *sb_f = NULL;

int sb_state = 1;
int cursample=128;

void printsbinfo()
{
  int a;

  if (sb_f!=NULL)
  {
    printf("Carte son detectee.\n");
  }
  else
    printf("Aucune carte son detectee.\n");
}

int sbreset()
{
  cursample = 128;

  fputc(cursample,sb_f);
}

int detectsb()
{
  sb_f = fopen(DEVNAME, "wb");

  if (sb_f == NULL) {
    return 0;
  }
  else
    return 1;
}

void stopsb()
{
  fclose(sb_f);
}

void sbout(int sample)
{
  if (sb_state) fputc(sample,sb_f);
}

void speaker(int state)
{
  sb_state=state;
}

void speakerout(int sample)
{
  //sbout(sample);
  //fputc(sample&0xff,sb_f);
}

void dacout(int sample)
{
  //  sbout(sample);
}

