/*
                    MM   MM    OOOOO    5555555
                    M M M M   O     O   5
                    M  M  M   O     O   555555
                    M     M   O     O         5
                    M     M   O     O         5
                    M     M    OOOOO    555555

                             EMULATEUR

                         Par Edouard FORLER
                    (edouard.forler@di.epfl.ch)
                          Par Sylvain HUET
                    (huet@poly.polytechnique.fr)
                               1997

  emumo5.h : header partie emulateur

*/

extern  long    pc;
extern  long    xr,yr,ur,sr;
extern  long    ar,br;
extern  long    dp;

extern  int     res,m1,m2,sign,ovfl,h1,h2,ccrest;

extern  char    *op;
extern  int     ad;
extern  long*   (regist[4]);
extern  long*   (exreg[16]);

extern  int     crayx;
extern  int     crayy;

long getcc();
void setcc(int i);

extern long (*adresc[])();
extern long (*adresl[])();

long loads(long k);
long loadl(long k);
int stocs(long k,long val);
int stocl(long k,long val);

void pshsr(int i);
void pulsr(int i);

void iosb();

void negm();
void comm();
void lsrm();
void rorm();
void asrm();
void aslm();
void rolm();
void decm();
void incm();
void tstm();
void jmpm();
void clrm();

void nopm();
void synm();
void lbra();
void lbsr();
void daam();
void orcc();
void andc();
void sexm();
void exgm();
void tfrm();

void bras();
void brns();
void bhis();
void blss();
void bccs();
void blos();
void bnes();
void beqs();
void bvcs();
void bvss();
void bpls();
void bmis();
void bges();
void blts();
void bgts();
void bles();

void leax();
void leay();
void leas();
void leau();
void pshs();
void puls();
void pshu();
void pulu();
void rtsm();
void abxm();
void rtim();
void cwai();
void mulm();
void swim();

void nega();
void coma();
void lsra();
void rora();
void asra();
void asla();
void rola();
void deca();
void inca();
void tsta();
void clra();

void negb();
void comb();
void lsrb();
void rorb();
void asrb();
void aslb();
void rolb();
void decb();
void incb();
void tstb();
void clrb();

void suba();
void cmpa();
void sbca();
void subd();
void anda();
void bita();
void ldam();
void stam();
void eora();
void adca();
void oram();
void adda();
void cmpx();
void bsrm();
void ldxm();
void stxm();
void jsrm();

void subb();
void cmpb();
void sbcb();
void addd();
void andb();
void bitb();
void ldbm();
void stbm();
void eorb();
void adcb();
void orbm();
void addb();
void lddm();
void stdm();
void ldum();
void stum();

void lbrn();
void lbhi();
void lbls();
void lbcc();
void lblo();
void lbne();
void lbeq();
void lbvc();
void lbvs();
void lbpl();
void lbmi();
void lbge();
void lblt();
void lbgt();
void lble();

void swi2();
void cmpd();
void cmpy();
void ldym();
void stym();
void ldsm();
void stsm();
void swi3();
void cmpu();
void cmps();
