/*
                    MM   MM    OOOOO    5555555
                    M M M M   O     O   5
                    M  M  M   O     O   555555
                    M     M   O     O         5
                    M     M   O     O         5
                    M     M    OOOOO    555555

                             EMULATEUR

                         Par Edouard FORLER
                    (edouard.forler@di.epfl.ch)
                          Par Sylvain HUET
                    (huet@poly.polytechnique.fr)
                               1997

  monitor.h : header du moniteur

*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define sizebuf 512*1024

extern  unsigned char    buf[sizebuf];
extern  long    leng;
extern  long    ind;
extern  long    offs;
extern  long    bkpt;
extern  int     nbo;
extern  int     mode;
extern  int     nbbit;
extern  long    follow;
extern  int     taille[];
extern  int     adr[];
extern  long    compt;
extern  int     quitf;
extern  FILE    *fk7;
extern  int     modegraph;
extern  long    mask;
extern  int     snd;
extern  int     dacon;
extern  int     fastk7;
extern  int     flmo5;
extern  long    endmem;

extern  char    mainpath[256];

void ini6809();

int des6809(long k, char *c);

void inimo5(char *name);

void iniregs();

void newcass(char *c);

void newqd(char *c);

void avanck7(long k);

int bouclex();

long exe6809();

void printreg();

void printind();

void setreg(char *c,long k);

long getreg(char *c);

void printhx(long k,int n);

void printad(long k);


